# is_even_methods
 A collection of is_even methods

Are you not able to find out if a number is even? Or is it just too boring for you to use a single algorithm?
Use this module to get a great collection of is_even functions to (probably) make your life easier!
Because who said evenness couldn't be entertaining?

## Features
* Pinpoint accuracy: Our algorithms are so precise that they can detect evenness with laser-like precision. No room for error here!
* Supports negative integers: With the power of `abs`, our collection does not discriminate based on sign.
It's all about number inclusivity, even for those negative numbers feeling a bit left out.
* Supports most big numbers: Most of our algorithms work pretty fast with most big integers. We just hope that you will not use huge numbers.
And you will not use them. Right?

## Usage
Simply import this module using this one little line in your code file:
```py
import is_even
```

Now you can use any of the functions in this module to determine if a number is even:
```py
print(is_even.recursive_method(42))  # probably returns True
```

## Contribution
Contribution are welcome! If you encounter any issues, have suggestions, or want to add a new algorithm, 
please feel free to open an issue or submit a pull request on the GitHub repository.

## License

is_even_methods is licensed under the MIT License. See the [LICENSE](https://github.com/Macosaro/is_even_methods/blob/main/LICENSE) file for more details.